<?php
namespace Ep\Woo\Plugin\Cart;

use Ak\Wp\Plugin\PluginInterface;

/**
 * Class EmptyCart
 *
 * @package Ep\Woo\Plugin\Cart
 * @author Elektronika Perhoč <web@ep.hr>
 * @link http://gitlab.ep.local/ep-framework/woocommerce
 */
class EmptyCart implements PluginInterface
{
    /**
     * Dodaje akcije i filtere u WordPress.
     */
    public function attach(): void
    {
        add_action('template_redirect', [$this, 'wc_empty_cart']);
        add_action('woocommerce_after_cart_actions', [$this, 'wc_after_cart_actions'], 20);
    }

    /**
     * Prazni košaricu.
     */
    public function wc_empty_cart()
    {
        $cart = WC()->cart;

        if (!$cart->is_empty() && array_key_exists('empty-cart', $_GET)) {
            $cart->empty_cart(true);
            $redirect = preg_replace('/\?empty-cart$/', '', $_SERVER['REQUEST_URI']);
            wp_redirect($redirect);
            exit;
        }
    }

    /**
     * Renderira gumb.
     */
    public function wc_after_cart_actions()
    {
        echo sprintf(
            '<a class="button primary mt-0 pull-left small" href="?empty-cart">%s</a>',
            __('Isprazni košaricu', 'ep-woocommerce')
        );
    }
}