<?php
namespace Ep\Woo\Plugin\Category;

use Ak\Wp\Plugin\PluginInterface;
use Psr\Cache\CacheItemPoolInterface;

/**
 * Class Cache
 *
 * @package Ep\Woo\Plugin\Category
 * @author Elektronika Perhoč <web@ep.hr>
 * @link http://gitlab.ep.local/ep-framework/woocommerce
 */
class Cache implements PluginInterface
{
    /** @var CacheItemPoolInterface */
    protected $cache;

    /**
     * Cache constructor.
     *
     * @param CacheItemPoolInterface $cache
     */
    public function __construct(CacheItemPoolInterface $cache)
    {
        $this->cache = $cache;
    }

    /**
     * Dodaje akcije i filtere u WordPress.
     *
     * @return void
     */
    public function attach(): void
    {
        add_action('created_product_cat', [$this->cache, 'clear']);
        add_action('edited_product_cat', [$this->cache, 'clear']);
        add_action('delete_product_cat', [$this->cache, 'clear']);
    }
}